Bug 649399 - Preupgrade doesn't check for sufficient disk-space before starting downloads
Preupgrade doesn't check for sufficient disk-space before starting downloads
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-03 13:11 EDT by Michal Novotny
Modified: 2015-02-17 08:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:27:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Novotny 2010-11-03 13:11:46 EDT
Description of problem:
When you run preupgrade it doesn't compute the disk-space required and check whether there's enough space available (typically available on /var/cache/yum to download the packages for upgrade). It should compute the disk-space required for all the downloads *not to* bail with error while many of the packages are already downloaded.

Version-Release number of selected component (if applicable):
preupgrade-1.1.0-3 (seems to be latest although it's for Fedora-12 originally)

How reproducible:
100% if you don't have enough space on your /var/cache/yum path or mountpoint

Steps to Reproduce:
1. Make sure you're doing no disk operations that's affecting /var/cache/yum space
2. Try running preupgrade with insufficient disk-space in /var/cache/yum

Actual results:
It will be downloading packages but it will bail with error in the progress allowing to check again which is good but makes the upgrade need some attention and confirmation/freeing space action from the user when user thinks everything is already OK since the package download already started.

Expected results:
It should compute the total disk-space required for the upgrade *before* starting the package downloads and check whether there's enough space on user's system.

Additional info:
If it fails because of insufficient disk-space, a selection what packages to download/upgrade could be useful to allow user deselect upgrading some packages he/she doesn't use/need anymore.
Comment 1 Richard Hughes 2010-11-04 03:57:39 EDT
Is this the kind of thing you could write a patch for? Thanks.
Comment 2 Michal Novotny 2010-11-04 06:29:51 EDT
(In reply to comment #1)
> Is this the kind of thing you could write a patch for? Thanks.

Unfortunately not right night since I have my system already upgraded to the latest and I have some networking issues within my Fedora virtual machine.

Michal
Comment 3 Michal Novotny 2010-11-04 06:30:03 EDT
(In reply to comment #1)
> Is this the kind of thing you could write a patch for? Thanks.

Unfortunately not right now since I have my system already upgraded to the latest and I have some networking issues within my Fedora virtual machine.

Michal
Comment 4 Fedora End Of Life 2013-04-03 14:57:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora End Of Life 2015-01-09 11:24:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 08:27:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.